Skip to main content
Jump to: navigation, search

Difference between revisions of "Recommenders/Attic/Release/ThirdPartyDependencies"

Line 1: Line 1:
== Direct Dependencies ==
+
== Direct Dependencies ==
 
+
  
 
{| width="100%" cellspacing="1" cellpadding="1" border="0" align="left"
 
{| width="100%" cellspacing="1" cellpadding="1" border="0" align="left"
Line 8: Line 7:
 
| '''Location'''  
 
| '''Location'''  
 
| '''IP Check'''  
 
| '''IP Check'''  
| '''Required for Release'''
 
 
| '''Notes'''
 
| '''Notes'''
 
|-
 
|-
 
| ch.qos.logback.*  
 
| ch.qos.logback.*  
| <br>  
+
| 0.9.24<br>  
 
| Orbit  
 
| Orbit  
 
| PB needed<br>  
 
| PB needed<br>  
| X
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 22: Line 19:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| PB4753 (CQ4730)<br>  
 
| PB4753 (CQ4730)<br>  
| X<br>
 
 
| Used for (de-)serialization in JSON format; We should upgrade to 2.0 for performance reasons.<br>
 
| Used for (de-)serialization in JSON format; We should upgrade to 2.0 for performance reasons.<br>
 
|-
 
|-
Line 29: Line 25:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| PB needed; CQ5804<br>  
 
| PB needed; CQ5804<br>  
| X<br>
 
 
| Common utils &amp; EventBus<br>
 
| Common utils &amp; EventBus<br>
 
|-
 
|-
Line 36: Line 31:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| CQ5058<br>  
 
| CQ5058<br>  
| X<br>
 
 
| Dependency Injection Framework<br>
 
| Dependency Injection Framework<br>
 
|-
 
|-
Line 43: Line 37:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| CQ5059<br>  
 
| CQ5059<br>  
| X<br>
 
 
| Support for assisted injection<br>
 
| Support for assisted injection<br>
 
|-
 
|-
Line 50: Line 43:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| CQ5060<br>  
 
| CQ5060<br>  
| X<br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 57: Line 49:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| CQ4757  
 
| CQ4757  
| <br>
 
 
| Used for static analysis; Update to 1.3.2 is planned<br>
 
| Used for static analysis; Update to 1.3.2 is planned<br>
 
|-
 
|-
Line 64: Line 55:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| CQ4758  
 
| CQ4758  
| <br>
 
 
| Used for static analysis; Update to 1.3.2 is planned<br>
 
| Used for static analysis; Update to 1.3.2 is planned<br>
 
|-
 
|-
Line 71: Line 61:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| PB5511 (CQ5509) <br>  
 
| PB5511 (CQ5509) <br>  
| X<br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 78: Line 67:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| PB5511 (CQ5509)<br>  
 
| PB5511 (CQ5509)<br>  
| X<br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 85: Line 73:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| PB5512 (CQ5221)<br>  
 
| PB5512 (CQ5221)<br>  
| <br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 92: Line 79:
 
| Orbit  
 
| Orbit  
 
| PB needed (CQ4580)<br>  
 
| PB needed (CQ4580)<br>  
| <br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 99: Line 85:
 
| Orbit  
 
| Orbit  
 
| PB needed (CQ1909)<br>  
 
| PB needed (CQ1909)<br>  
| <br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 106: Line 91:
 
| Orbit  
 
| Orbit  
 
| CQ4790  
 
| CQ4790  
| <br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 113: Line 97:
 
| Orbit  
 
| Orbit  
 
| PB needed (CQ2735)<br>  
 
| PB needed (CQ2735)<br>  
| <br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 120: Line 103:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| CQ needed<br>  
 
| CQ needed<br>  
| X<br>
 
 
| Common utils<br>
 
| Common utils<br>
 
|-
 
|-
Line 127: Line 109:
 
| Orbit  
 
| Orbit  
 
| PB needed (CQ1907)<br>  
 
| PB needed (CQ1907)<br>  
| <br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 134: Line 115:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| CQ4759<br>  
 
| CQ4759<br>  
| X<br>
 
 
| Should be removed; Orbit contains 2.1.0<br>
 
| Should be removed; Orbit contains 2.1.0<br>
 
|-
 
|-
Line 141: Line 121:
 
| Orbit  
 
| Orbit  
 
| PB needed (CQ2736)<br>  
 
| PB needed (CQ2736)<br>  
| <br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 148: Line 127:
 
| 3rd-git<br>  
 
| 3rd-git<br>  
 
| CQ4761<br>  
 
| CQ4761<br>  
| X<br>
 
 
| Common utils<br>
 
| Common utils<br>
 
|-
 
|-
Line 155: Line 133:
 
| Orbit  
 
| Orbit  
 
| PB4755 (CQ3560)<br>  
 
| PB4755 (CQ3560)<br>  
| <br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 162: Line 139:
 
| Orbit<br>  
 
| Orbit<br>  
 
| PB needed (CQ3964)<br>  
 
| PB needed (CQ3964)<br>  
| <br>
 
 
| Update to 3.5 planned<br>
 
| Update to 3.5 planned<br>
 
|-
 
|-
Line 169: Line 145:
 
| Orbit  
 
| Orbit  
 
| PB needed (CQ3545)<br>  
 
| PB needed (CQ3545)<br>  
| <br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 176: Line 151:
 
| Orbit  
 
| Orbit  
 
| PB needed<br>  
 
| PB needed<br>  
| <br>
 
 
| <br>
 
| <br>
 
|}
 
|}
Line 265: Line 239:
 
| '''Location'''  
 
| '''Location'''  
 
| '''IP Check'''  
 
| '''IP Check'''  
| '''Required for Release'''
 
 
| '''Notes'''
 
| '''Notes'''
 
|-
 
|-
 
| org.aopalliance  
 
| org.aopalliance  
| <br>  
+
| 1.0.0<br>  
 
| Orbit  
 
| Orbit  
| <br>
+
| PB needed (CQ3087)<br>  
| <br>  
+
 
| <br>
 
| <br>
 
|-
 
|-
Line 279: Line 251:
 
| Orbit  
 
| Orbit  
 
| PB needed (CQ4721)<br>  
 
| PB needed (CQ4721)<br>  
| <br>
 
 
| <br>
 
| <br>
 
|-
 
|-
Line 286: Line 257:
 
| Orbit<br>  
 
| Orbit<br>  
 
| PB needed (CQ3930)<br>  
 
| PB needed (CQ3930)<br>  
| <br>
 
 
| <br>
 
| <br>
 
|}
 
|}
  
 
[[Category:Recommenders|ThirdPartyDependencies]]
 
[[Category:Recommenders|ThirdPartyDependencies]]

Revision as of 05:45, 13 December 2011

Direct Dependencies

Name Version Location IP Check Notes
ch.qos.logback.* 0.9.24
Orbit PB needed

com.google.gson
1.6.0
3rd-git
PB4753 (CQ4730)
Used for (de-)serialization in JSON format; We should upgrade to 2.0 for performance reasons.
com.google.guava
10.0.1
3rd-git
PB needed; CQ5804
Common utils & EventBus
com.google.inject
3.0.0
3rd-git
CQ5058
Dependency Injection Framework
com.google.inject.assistedinject
3.0.0
3rd-git
CQ5059
Support for assisted injection
com.google.inject.multibindings
3.0.0
3rd-git
CQ5060

com.ibm.wala.core
1.3.1
3rd-git
CQ4757 Used for static analysis; Update to 1.3.2 is planned
com.ibm.wala.shrike
1.3.1
3rd-git
CQ4758 Used for static analysis; Update to 1.3.2 is planned
com.sun.jersey.client
1.8.0
3rd-git
PB5511 (CQ5509)

com.sun.jersey.core
1.8.0
3rd-git
PB5511 (CQ5509)

com.sun.jersey.server
1.8.0
3rd-git
PB5512 (CQ5221)

org.apache.commons.cli 1.2.0
Orbit PB needed (CQ4580)

org.apache.commons.collections 3.2.0
Orbit PB needed (CQ1909)

org.apache.commons.io 2.0.1
Orbit CQ4790
org.apache.commons.lang 2.4.0
Orbit PB needed (CQ2735)

org.apache.commons.lang3
3.0.0
3rd-git
CQ needed
Common utils
org.apache.commons.logging 1.1.1
Orbit PB needed (CQ1907)

org.apache.commons.math
2.1.0
3rd-git
CQ4759
Should be removed; Orbit contains 2.1.0
org.apache.commons.pool 1.4.0
Orbit PB needed (CQ2736)

org.apache.commons.primitives
1.0.0
3rd-git
CQ4761
Common utils
org.apache.log4j 1.2.15
Orbit PB4755 (CQ3560)

org.apache.lucene
2.9.1
Orbit
PB needed (CQ3964)
Update to 3.5 planned
org.kohsuke.args4j 2.0.12
Orbit PB needed (CQ3545)

org.sl4fj.* 1.6.1
Orbit PB needed



Transitive Dependencies

Bundles required to build direct dependencies and bundles required at runtime dependencies for direct dependencies.

Name Version Location IP Check Notes
javax.activation 1.1.1
Orbit PB needed (CQ4135)
Required by sun.jersey.server
javax.annotation 1.1.0
Orbit PB needed (CQ5014)
Required by sun.jersey.server
javax.ejb
3.1.0
3rd-git
needed? Required by com.sun.jersey.server
javax.inject
Orbit PB needed (CQ3555)
Required by com.google.inject
javax.transaction
Orbit PB needed (CQ3903)

javax.xml.rpc
Orbit

javax.xml.soap
Orbit

javax.enterprise.jsr299
1.0.0
3rd-git
None
Required by com.sun.jersey.server
javax.servlet
3.0.1
3rd-git
None
Should be removed; Orbit contains 3.0.0
net.sf.cglib
2.2.0
3rd-git
None
Required by com.google.inject

Test Dependencies

Name Version Location IP Check Notes
org.aopalliance 1.0.0
Orbit PB needed (CQ3087)

org.objectweb.asm 3.3.1
Orbit PB needed (CQ4721)

org.mockito
1.8.4
Orbit
PB needed (CQ3930)

Back to the top